From a97b01b220e6ef08d1517fea76fdaddb84a9773e Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Sun, 22 Nov 2020 00:25:06 +0100
Subject: [PATCH 1/2] Drop KDE4_ADD_WIDGET_FILES macro and KF5DesignerPlugin
 dependency

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 CMakeLists.txt                       |  1 -
 KF5KDELibs4SupportConfig.cmake.in    |  1 -
 cmake/modules/FindKDE4Internal.cmake |  4 ----
 cmake/modules/KDE4Macros.cmake       |  2 --
 src/CMakeLists.txt                   | 19 -------------------
 src/KDEUIMacros.cmake                | 25 -------------------------
 6 files changed, 52 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 9f4b6d33..20a27b52 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -26,7 +26,6 @@ find_package(KF5Completion ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5ConfigWidgets ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5Crash ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5DesignerPlugin ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5GlobalAccel ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5DocTools ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5Emoticons ${KF5_DEP_VERSION} REQUIRED)
diff --git a/KF5KDELibs4SupportConfig.cmake.in b/KF5KDELibs4SupportConfig.cmake.in
index b5194f94..5e16c780 100644
--- a/KF5KDELibs4SupportConfig.cmake.in
+++ b/KF5KDELibs4SupportConfig.cmake.in
@@ -11,7 +11,6 @@ find_dependency(KF5Archive "@KF5_DEP_VERSION@")
 find_dependency(KF5ConfigWidgets "@KF5_DEP_VERSION@")
 find_dependency(KF5CoreAddons "@KF5_DEP_VERSION@")
 find_dependency(KF5Crash "@KF5_DEP_VERSION@")
-find_dependency(KF5DesignerPlugin "@KF5_DEP_VERSION@")
 find_dependency(KF5DocTools "@KF5_DEP_VERSION@")
 find_dependency(KF5Emoticons "@KF5_DEP_VERSION@")
 find_dependency(KF5GuiAddons "@KF5_DEP_VERSION@")
diff --git a/cmake/modules/FindKDE4Internal.cmake b/cmake/modules/FindKDE4Internal.cmake
index 7e252a70..b9636036 100644
--- a/cmake/modules/FindKDE4Internal.cmake
+++ b/cmake/modules/FindKDE4Internal.cmake
@@ -179,10 +179,6 @@
 #    Use optional USE_RELATIVE_PATH to generate the classes in the build following the given
 #    relative path to the file.
 #
-#  KDE4_ADD_WIDGET_FILES (SRCS_VAR file1.widgets ... fileN.widgets)
-#    Use this to add widget description files for the makekdewidgets code generator
-#    for Qt Designer plugins.
-#
 #  KDE4_ADD_PLUGIN ( name [WITH_PREFIX] file1 ... fileN )
 #    Create a KDE plugin (KPart, kioslave, etc.) from the given source files.
 #    If WITH_PREFIX is given, the resulting plugin will have the prefix "lib", otherwise it won't.
diff --git a/cmake/modules/KDE4Macros.cmake b/cmake/modules/KDE4Macros.cmake
index ca868ad9..27bb28f9 100644
--- a/cmake/modules/KDE4Macros.cmake
+++ b/cmake/modules/KDE4Macros.cmake
@@ -10,7 +10,6 @@
 # KDE4_ADD_KDEINIT_EXECUTABLE
 # KDE4_ADD_UNIT_TEST
 # KDE4_ADD_EXECUTABLE
-# KDE4_ADD_WIDGET_FILES
 # KDE4_UPDATE_ICONCACHE
 # KDE4_INSTALL_ICONS
 # KDE4_REMOVE_OBSOLETE_CMAKE_FILES
@@ -486,7 +485,6 @@ include("${KF5Auth_DIR}/KF5AuthMacros.cmake")
 include("${CMAKE_CURRENT_LIST_DIR}/KDECoreMacros.cmake")
 include("${CMAKE_CURRENT_LIST_DIR}/KDEUIMacros.cmake")
 include("${KF5DocTools_DIR}/KF5DocToolsMacros.cmake")
-include("${KF5DesignerPlugin_DIR}/KF5DesignerPluginMacros.cmake")
 
 # functions deprecated, they still should work
 macro (KDE4_AUTH_INSTALL_ACTIONS)
diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index b249bd53..3ed8114d 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -371,25 +371,6 @@ set_target_properties(KF5KDELibs4Support PROPERTIES
 )
 
 
-########## Designer plugin
-
-kf5designerplugin_add_plugin(kf5deprecatedwidgets
-    kdedeprecated.widgets
-    kdedeprecated.qrc
-    classpreviews.cpp
-)
-
-target_link_libraries(kf5deprecatedwidgets KF5::KDELibs4Support
-                                    Qt5::Widgets
-                                    Qt5::Designer
-                                    KF5::ConfigCore
-                                    KF5::Completion
-                                    KF5::WidgetsAddons
-                                    KF5::Auth
-                                    )
-
-install(TARGETS kf5deprecatedwidgets DESTINATION ${KDE_INSTALL_QTPLUGINDIR}/designer)
-
 ##########
 
 add_subdirectory(pics)
diff --git a/src/KDEUIMacros.cmake b/src/KDEUIMacros.cmake
index 1570df34..e255960d 100644
--- a/src/KDEUIMacros.cmake
+++ b/src/KDEUIMacros.cmake
@@ -163,31 +163,6 @@ macro (KDE4_INSTALL_ICONS _defaultpath )
 endmacro (KDE4_INSTALL_ICONS)
 
 
-set(KDEWIDGETS_MAKEKDEWIDGETS_EXECUTABLE ${KF5DESIGNERPLUGIN_GENERATOR_EXECUTABLE})
-set(_KDE4_MAKEKDEWIDGETS_DEP ${_KF5DESIGNERPLUGIN_GENERATOR_EXECUTABLE_DEP})
-macro (KDE4_ADD_WIDGET_FILES _sources)
-   foreach (_current_FILE ${ARGN})
-
-      get_filename_component(_input ${_current_FILE} ABSOLUTE)
-      get_filename_component(_basename ${_input} NAME_WE)
-      set(_source ${CMAKE_CURRENT_BINARY_DIR}/${_basename}widgets.cpp)
-      set(_moc ${CMAKE_CURRENT_BINARY_DIR}/${_basename}widgets.moc)
-
-      # create source file from the .widgets file
-      add_custom_command(OUTPUT ${_source}
-        COMMAND ${KDEWIDGETS_MAKEKDEWIDGETS_EXECUTABLE}
-        ARGS -o ${_source} ${_input}
-        MAIN_DEPENDENCY ${_input} DEPENDS ${_KDE4_MAKEKDEWIDGETS_DEP})
-
-      # create moc file
-      qt5_generate_moc(${_source} ${_moc} )
-
-      list(APPEND ${_sources} ${_source} ${_moc})
-
-   endforeach (_current_FILE)
-
-endmacro (KDE4_ADD_WIDGET_FILES)
-
 # adds application icon to target source list
 # 'appsources' - the sources of the application
 # 'pngfiles' - specifies the list of icon files
-- 
2.29.2


From 13277f3a50eee8ec2ebc5cd915a83b56c2613966 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Sun, 22 Nov 2020 00:27:55 +0100
Subject: [PATCH 2/2] Drop Qt5Designer dependency

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 CMakeLists.txt                          | 2 +-
 cmake/modules/ECMQt4To5Porting.cmake    | 1 -
 cmake/modules/FindQt5Transitional.cmake | 1 -
 3 files changed, 1 insertion(+), 3 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 20a27b52..e09b93e2 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -20,7 +20,7 @@ include(GenerateExportHeader)
 include(CMakeFindFrameworks)
 
 set(REQUIRED_QT_VERSION 5.13.0)
-find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Network Widgets DBus Test Svg PrintSupport Designer)
+find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Network Widgets DBus Test Svg PrintSupport)
 
 find_package(KF5Completion ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
diff --git a/cmake/modules/ECMQt4To5Porting.cmake b/cmake/modules/ECMQt4To5Porting.cmake
index 4204fa54..01b8f995 100644
--- a/cmake/modules/ECMQt4To5Porting.cmake
+++ b/cmake/modules/ECMQt4To5Porting.cmake
@@ -160,7 +160,6 @@ set(_qt_modules
   DBus
   Network
   Test
-  Designer
   Concurrent
   Xml
   UiTools
diff --git a/cmake/modules/FindQt5Transitional.cmake b/cmake/modules/FindQt5Transitional.cmake
index df354fc6..68fa6d47 100644
--- a/cmake/modules/FindQt5Transitional.cmake
+++ b/cmake/modules/FindQt5Transitional.cmake
@@ -6,7 +6,6 @@ if (Qt5Core_FOUND)
       Core
       Gui
       DBus
-      Designer
       Declarative
       Script
       ScriptTools
-- 
2.29.2

